org.apache.ignite.internal.processors.security.sandbox

## Class SandboxIgniteComponentProxy

- java.lang.Object
- - org.apache.ignite.internal.processors.security.sandbox.SandboxIgniteComponentProxy

    public final class SandboxIgniteComponentProxy
    extends Object

Create instace of Ignite component proxy to use inside the Ignite Sandbox.

### Constructor Summary

Constructors
Constructor and Description
`SandboxIgniteComponentProxy()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Ignite` `igniteProxy(Ignite ignite)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SandboxIgniteComponentProxy

    public SandboxIgniteComponentProxy()

### Method Detail

#### igniteProxy

    public static Ignite igniteProxy(Ignite ignite)

Returns:
  The proxy of `ignite` to use inside the Ignite Sandbox.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021